Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 987313 - [RFE] Hide "Lab Info" tab by default
Summary: [RFE] Hide "Lab Info" tab by default
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.15
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-23 08:36 UTC by Nick Coghlan
Modified: 2018-02-06 00:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-03 02:27:40 UTC


Attachments (Terms of Use)

Description Nick Coghlan 2013-07-23 08:36:44 UTC
The current rudimentary asset management features Beaker provides are well outside Beaker's scope, and shouldn't be used in new Beaker installations.

The relevant parts of the web UI should be hidden by default, and require an explicit "enable_legacy_asset_management" setting in the server config for them to be displayed.

Comment 2 Dan Callaghan 2013-09-09 00:54:54 UTC
Is the "Lab Info" tab the only thing that needs hiding here?

Comment 3 Nick Coghlan 2013-09-09 01:54:54 UTC
I'm not aware of anything else, so that would be the place to start.

Comment 4 Dan Callaghan 2013-09-18 05:21:47 UTC
On Gerrit: http://gerrit.beaker-project.org/2275

Comment 5 Dan Callaghan 2013-09-18 06:07:10 UTC
The current approach is to always hide the Lab Info tab unless there is existing data for it. That has the advantage of not needing a config option to be fiddled with, while also preventing any system owners from adding new lab info data to their system.

Comment 6 Amit Saha 2013-09-18 06:08:09 UTC
(In reply to Dan Callaghan from comment #5)
> The current approach is to always hide the Lab Info tab unless there is
> existing data for it. That has the advantage of not needing a config option
> to be fiddled with, while also preventing any system owners from adding new
> lab info data to their system.

I took a brief look and it seems that there is option for CSV import of Lab info data.

Comment 7 Dan Callaghan 2013-09-18 06:08:48 UTC
Steps to verify:
1. For a new system which has no existing lab info, go to the system page: Lab Info tab is not present.
2. For an old system which has existing lab info, go to the system page: Lab Info tab is present, shows existing data, and allows it to be modified as before.

Comment 8 Nick Coghlan 2013-09-18 06:45:06 UTC
Limiting this to just hiding the tab when systems have no lab info data.

The CSV import is still enabled, so if anyone *really* wants to use it, they can start by uploading the initial data that way, and then the tab will become visible.

The overall feature is still on a path towards deprecation and removal though :)

Comment 11 xjia 2013-09-18 12:10:16 UTC
wrongly click needinfo, sorry.

Comment 12 Nick Coghlan 2013-10-03 02:27:40 UTC
Beaker 0.15 has been released.


Note You need to log in before you can comment on or make changes to this bug.